org.modeshape.sequencer.ddl.dialect.teiid

## Interface TeiidDdlLexicon.Constraint

- Enclosing class:
    TeiidDdlLexicon

      public static interface TeiidDdlLexicon.Constraint

  JCR names for DDL constraint-related elements.

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static String` | `EXPRESSION` The expression property name used in index constraints.
    `static String` | `FOREIGN_KEY_CONSTRAINT` The table element foreign key constraint mixin name.
    `static String` | `INDEX_CONSTRAINT` The table element index constraint mixin name.
    `static String` | `REFERENCES` The table element references property name.
    `static String` | `TABLE_ELEMENT` The table element constraint mixin name.
    `static String` | `TABLE_REFERENCE` The references table reference property name.
    `static String` | `TABLE_REFERENCE_REFERENCES` The table element references property name.
    `static String` | `TYPE` The constraint type property name.

- - ### Field Detail

    - #### EXPRESSION

          static final String EXPRESSION

      The expression property name used in index constraints.
      See Also:
        Constant Field Values

    - #### FOREIGN_KEY_CONSTRAINT

          static final String FOREIGN_KEY_CONSTRAINT

      The table element foreign key constraint mixin name.
      See Also:
        Constant Field Values

    - #### INDEX_CONSTRAINT

          static final String INDEX_CONSTRAINT

      The table element index constraint mixin name.
      See Also:
        Constant Field Values

    - #### REFERENCES

          static final String REFERENCES

      The table element references property name.
      See Also:
        Constant Field Values

    - #### TABLE_ELEMENT

          static final String TABLE_ELEMENT

      The table element constraint mixin name.
      See Also:
        Constant Field Values

    - #### TABLE_REFERENCE

          static final String TABLE_REFERENCE

      The references table reference property name.
      See Also:
        Constant Field Values

    - #### TABLE_REFERENCE_REFERENCES

          static final String TABLE_REFERENCE_REFERENCES

      The table element references property name.
      See Also:
        Constant Field Values

    - #### TYPE

          static final String TYPE

      The constraint type property name.
      See Also:
        Constant Field Values

Copyright © 2008-2014 JBoss, a division of Red Hat. All Rights Reserved.